Bug 1476859 - Failed to check if disk space is available for the runtime
Failed to check if disk space is available for the runtime
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cri-o (Show other bugs)
27
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mrunal Patel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-31 12:01 EDT by Sebastian Jug
Modified: 2017-09-30 02:25 EDT (History)
5 users (show)

See Also:
Fixed In Version: cri-o-1.0.0.rc1-2.gitbb1da97.fc26 cri-o-1.0.0.rc1-2.gitbb1da97.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-20 18:53:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1474987 None None None 2017-07-31 12:01 EDT

  None (edit)
Description Sebastian Jug 2017-07-31 12:01:39 EDT
Description of problem:
Every 10 seconds on each node the kubelet logs this error:

Jul 31 11:52:22  atomic-openshift-node[114397]: E0731 11:52:22.090836  114397 kubelet.go:1666] Failed to check if disk space is available for the runtime: failed to get fs info for "runtime": ImagesFsInfo: unknown runtime: remote
Jul 31 11:52:32  atomic-openshift-node[114397]: E0731 11:52:32.109098  114397 kubelet.go:1666] Failed to check if disk space is available for the runtime: failed to get fs info for "runtime": ImagesFsInfo: unknown runtime: remote
Jul 31 11:52:42  atomic-openshift-node[114397]: E0731 11:52:42.123096  114397 kubelet.go:1666] Failed to check if disk space is available for the runtime: failed to get fs info for "runtime": ImagesFsInfo: unknown runtime: remote
Jul 31 11:52:52  atomic-openshift-node[114397]: E0731 11:52:52.137478  114397 kubelet.go:1666] Failed to check if disk space is available for the runtime: failed to get fs info for "runtime": ImagesFsInfo: unknown runtime: remote
Jul 31 11:53:02  atomic-openshift-node[114397]: E0731 11:53:02.151813  114397 kubelet.go:1666] Failed to check if disk space is available for the runtime: failed to get fs info for "runtime": ImagesFsInfo: unknown runtime: remote
Jul 31 11:53:12  atomic-openshift-node[114397]: E0731 11:53:12.166086  114397 kubelet.go:1666] Failed to check if disk space is available for the runtime: failed to get fs info for "runtime": ImagesFsInfo: unknown runtime: remote
Jul 31 11:53:20  atomic-openshift-node[114397]: E0731 11:53:20.841553  114397 kubelet.go:1170] Image garbage collection failed: ImagesFsInfo: unknown runtime: remote


It seems there is some functionality the kubelet is expecting in cri-o that does not yet exist.

Version-Release number of selected component (if applicable):
cri-o-1.0.0.alpha.0-1.git91977d3.el7
containernetworking-plugins-0.5.2-2.el7

How reproducible:
Always


Steps to Reproduce:
1. Set up OpenShift cluster using CRI-O
2. Check journalctl


Actual results:
Kubelet complains that it is unable to get filesystem info from the "remote"/cri-o runtime.


Expected results:
Kubelet should be able to retrieve the filesystem information it is looking for


Additional info:
This new bug has been created as a respin of 1474987
Comment 2 Jan Kurik 2017-08-15 03:03:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 3 Fedora Update System 2017-09-11 08:01:34 EDT
cri-o-1.0.0.rc1-1.gitbb1da97.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a7fcc026f1
Comment 4 Fedora Update System 2017-09-11 08:01:47 EDT
cri-o-1.0.0.rc1-1.gitbb1da97.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7ff9f4b795
Comment 5 Sebastian Jug 2017-09-11 08:51:55 EDT
This is a RHEL bug, there was no RHEL cri-o tracker at the time of filing. This bus still is present with the rc1 release.
Comment 6 Fedora Update System 2017-09-11 17:55:49 EDT
cri-o-1.0.0.rc1-1.gitbb1da97.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7ff9f4b795
Comment 7 Fedora Update System 2017-09-11 21:22:59 EDT
cri-o-1.0.0.rc1-1.gitbb1da97.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a7fcc026f1
Comment 8 Mrunal Patel 2017-09-11 21:28:48 EDT
We need backports from upstream kubernetes for this to be fixed. We will update the bug once the backport is done.
Comment 9 Fedora Update System 2017-09-12 12:07:45 EDT
cri-o-1.0.0.rc1-2.gitbb1da97.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0a9c2a7306
Comment 10 Fedora Update System 2017-09-12 12:07:55 EDT
cri-o-1.0.0.rc1-2.gitbb1da97.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9e5764f4d1
Comment 11 Fedora Update System 2017-09-12 15:58:23 EDT
cri-o-1.0.0.rc1-2.gitbb1da97.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9e5764f4d1
Comment 12 Fedora Update System 2017-09-13 02:22:04 EDT
cri-o-1.0.0.rc1-2.gitbb1da97.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0a9c2a7306
Comment 13 Fedora Update System 2017-09-20 18:53:43 EDT
cri-o-1.0.0.rc1-2.gitbb1da97.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-09-30 02:25:35 EDT
cri-o-1.0.0.rc1-2.gitbb1da97.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.